2020-06-07 04:38 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002753NetSurfCore-specificpublic2020-05-27 08:59
Reporterdgr 
Assigned ToVincent Sanders 
SeverityblockReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRaspberry Pi 3B+OSRISC OSOS Version5.27 (21 Apr 202
Product Version 
Target Version3.10Fixed in Version3.10 
Summary0002753: URLs starting with a number "was not able to be parsed"
DescriptionTyping an address without the protocol in to the URL bar where the address starts with a number produces an error "The given URL was not able to be parsed".
Steps To ReproduceIn the URL bar enter 1and1.com and press Return.
Additional InformationSpecifying the protocol, e.g. http://1and1.com works. Sites that don't start with a number don't need the protocol specifying (e.g. www.bbc.co.uk works).
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #5059
URL of problem page
Attached Files

-Relationships
related to 0002762closedVincent Sanders URL starting with a number "was not able to be parsed" 
+Relationships

-Notes
Vincent Sanders

~0002195

Vincent Sanders (administrator)

The RISC OS URL bar implementation was switched to the behaviour of other front ends which use a heuristic to prepend a scheme (http) and generally attempt to turn invalid urls into something that can be used.
Vincent Sanders

~0002208

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2020-04-21 19:19 dgr New Issue
2020-04-21 19:23 dgr File Added: Screenshot 2020-04-21 at 19.22.17.png
2020-05-21 21:35 Vincent Sanders Assigned To => Vincent Sanders
2020-05-21 21:35 Vincent Sanders Status new => acknowledged
2020-05-21 21:38 Michael Drake Severity minor => block
2020-05-23 09:58 Vincent Sanders Status acknowledged => resolved
2020-05-23 09:58 Vincent Sanders Resolution open => fixed
2020-05-23 09:58 Vincent Sanders Fixed in Version => 3.10
2020-05-23 09:58 Vincent Sanders Target Version => 3.10
2020-05-23 09:58 Vincent Sanders Note Added: 0002195
2020-05-23 18:51 Vincent Sanders Relationship added related to 0002762
2020-05-27 08:59 Vincent Sanders Status resolved => closed
2020-05-27 08:59 Vincent Sanders Note Added: 0002208
+Issue History